// Variables

// Customizes the `.table` component with basic values, each used across all table variations.
$table-cell-padding-x:                  .75rem !default;
$table-cell-padding-y:                  .5rem !default;
$table-cell-padding-sm:                 .3rem !default;

$table-font-size:                       $font-size-sm !default;
$table-font-weight:                     $font-weight-bold !default;

$table-color:                           $text-muted !default;
$table-bg:                              $white !default;
$table-accent-bg:                       $gray-100 !default;
$table-hover-color:                     $table-color !default;
$table-hover-bg:                        $component-hover-bg !default;
$table-active-bg:                       $component-active-bg !default;

$table-border-width:                    $border-width !default;
$table-border-color:                    $gray !default;

$table-head-bg:                         #e8ecf3 !default;
$table-head-color:                      $body-color !default;
$table-head-text-transform:             uppercase !default;
$table-head-cell-padding-x:             $table-cell-padding-x !default;
$table-head-cell-padding-y:             .375rem !default;

$table-light-bg:                        $gray-lightest !default;

$table-striped-order:                   even !default;

$table-caption-color:                   $text-muted !default;

$table-bg-level:                        -9 !default;
$table-border-level:                    -6 !default;

$table-action-width:                    5.3125rem !default;

$table-action-icon-padding-x:           .375rem !default;
$table-action-icon-padding-y:           .25rem !default;
$table-action-icon-margin:              .25rem !default;

$table-dark-color:                      $white !default;
$table-dark-bg:                         $gray-800 !default;
$table-head-dark-bg:                    darken($dark, 7.5%) !default;
$table-head-dark-border-color:          $black !default;
$table-dark-accent-bg:                  rgba($white, .05) !default;
$table-dark-hover-color:                $table-dark-color !default;
$table-dark-hover-bg:                   rgba($white, .075) !default;
$table-dark-border-color:               $table-head-dark-bg !default;
